#include <core_build_options.h>
#include <swRTC.h>

swRTC rtc; // swRTC 인스턴스 생성

void setup() {
  rtc.stopRTC(); // RTC 정지
  rtc.setTime(15, 0, 0); // 15시 0분 0초로 설정
  rtc.setDate(6, 5, 2015); // 2015년 5월 6일로 설정
  rtc.startRTC(); // RTC 시작
  Serial.begin(9600); // 시리얼 통신 초기화
}

void loop() {
  Serial.print(rtc.getHours(), DEC); // 시
  Serial.print(":");
  Serial.print(rtc.getMinutes(), DEC); // 분
  Serial.print(":");
  Serial.print(rtc.getSeconds(), DEC); // 초
  Serial.print(" -- ");
  Serial.print(rtc.getDay(), DEC); // 일
  Serial.print("/");
  Serial.print(rtc.getMonth(), DEC); // 월
  Serial.print("/");
  Serial.print(rtc.getYear(), DEC); // 년
  Serial.print(" (Leap year: "); // 윤년 여부
  if (rtc.isLeapYear())
    Serial.print("yes");
  else
    Serial.print("no");
  Serial.println(")");
  Serial.print("Day of week: ");
  Serial.println(rtc.getWeekDay(), DEC); // 요일, 일요일이면 0
  delay(1000);
}
