#include <Wire.h> // I2C 라이브러리
#include <RTClib.h> // RTC 라이브러리

RTC_DS1307 RTC; // RTC 객체
String buffer = "";
boolean process_it = false;

void setup() {
  Serial.begin(9600); // 직렬 통신 초기화
  Wire.begin(); // I2C에 아두이노가 마스터로 참여
  RTC.begin(); // RTC 초기화
  // 컴퓨터의 컴파일 시간으로 RTC를 초기화
  // RTC.adjust(DateTime(__DATE__, __TIME__));
  // 2015년 12월 12일 0시 0분 0초로 초기화
  RTC.adjust(DateTime(2015, 12, 12, 0, 0, 0));
}

void loop() {
  if (Serial.available()) {
    char data = Serial.read();
    if (data == '\n')
      process_it = true;
    else
      buffer += data;
  }
  if (process_it) {
    process_it = false;
    if (buffer.equalsIgnoreCase("NOW"))
      print_current_date_time();
    else
      Serial.println("** Unkonwn command...");
    buffer = "";
  }
}

void print_current_date_time(void) {
  DateTime now = RTC.now(); // 현재 날짜와 시간 얻기
  Serial.print(now.year(), DEC);
  Serial.print('/');
  Serial.print(now.month(), DEC);
  Serial.print('/');
  Serial.print(now.day(), DEC);
  Serial.print(' ');
  Serial.print(now.hour(), DEC);
  Serial.print(':');
  Serial.print(now.minute(), DEC);
  Serial.print(':');
  Serial.print(now.second(), DEC);
  Serial.println();
}
